<?php 
 /* Program: 	Login_reg.php
  * Desc: 		Main application script for the User Login
  *				application.  It provides two options:
  *				(1) login using an existing username and
  *				(2) register a new username
  */
 session_start(); 
	switch (@$_POST['Button'])
 {
 case "Log in":
 	include("info.inc");
 	$cxn =	mysqli_connect($host, $user, $password, $database) 
 		or die("Query died: connect");
	$sql = "SELECT username FROM Members
		WHERE username = '$_POST[fusername]'";
	$result = mysqli_query($cxn,$sql)
		or die ("Query died: fusername".mysqli_error($cxn));
	$num = mysqli_num_rows($result);
	if ($num > 0) //login name was found
	{
	$sql = "SELECT username FROM Members
		WHERE username = '$_POST[fusername]'
		AND pass = md5('$_POST[fpass]')";
	$result2 = mysqli_query($cxn,$sql)
		or die ("Query died: fpass");
	$num2 = mysqli_num_rows($result2);
	if ($num2 > 0) //password matches	
	{ 	
	$_SESSION['auth'] ="yes";
	$_SESSION['logname'] = $_POST['fusername'];
	$sql = "INSERT INTO Login (username,loginTime)
			VALUES ('$_SESSION[logname]',NOW())";
	$result = mysqli_query($cxn,$sql)
				or die ("Query died: insert");
	header("Location: SecretPage.php");
	}
else // password does not match
	{
	$message_1="The Login Name, '$_POST[fusername]' exists, but you have not yet entered the correct password!  Please try again.";
	$fusername=strip_tags(trim($_POST['fusername']));
	include("login_form.inc");
  	}
	}
else //login name not found
	{
	$message_1 = "The User Name you entered does not exist! Please try again.";
	include("login_form.inc");

	}
break;

case "Register":
/* Check for blanks */
	foreach($_POST as $field => $value)
	{
		if($field != "company_effort")
	{
	if(empty($value))
	{
	  $blanks[] = $field;
	}
	else
	{
	  $good_data[$field] = strip_tags(trim($value));
	 }
	}
   }
	if (isset ($blanks))
	{
		$message_2 = "The following fields are blank. Please enter the required information: ";
			foreach($blanks as $value)
	{
		$message_2 .="$value, ";
	}
	extract ($good_data);
	include ("login_form.inc");
	exit();
	}
	/* validate data */
	foreach($_POST as $field => $value)
	{
		if(!empty($value))	
		{
		  if(preg_match("/name/i",$field) and
		  	!preg_match("/user/i",$field) and
		    !preg_match("/log/i",$field))
		{
		  if (!preg_match("/^[A-Za-z' -]{1,50}$/",$value))
		  {
		  	$errors[] = "$value is not a valid name. ";
		  }
		}		
			
		if(preg_match("/company/i",$field))
		{
			if(!preg_match("/^[A-Za-z0-9.,' -]{1,50}$/",$value))
				{
				$errors[] = "$value is not a valid name.";
				
				}
			}

		if(preg_match("/street/i",$field))
		{
			if(!preg_match("/^[A-Za-z0-9.,' -]{1,50}$/",$value))
				{
				$errors[] = "$value is not valid name.";
				
				}
			}

		if(preg_match("/city/i",$field))
		{
			if(!preg_match("/^[A-Za-z0-9.,' -]{1,50}$/",$value))
				{
				$errors[] = "$value is not a valid city name.";
				
				}
			}

		if (preg_match("/industry/i",$field))			
			{
			if(!preg_match("/^[A-Za-z0-9.,' -]{1,50}$/",$value))
				{
				$errors[] = "$value is not a valid name.";
				
				}
			}
		if(preg_match("/state/i",$field))
		{
			if(!preg_match("/^[A-Z] [A-Z]$/",$value))
			{
				$errors[] = "$value is not valid state code.";
			}
		}
		if (preg_match("/email/i",$field))
		{
			if(!preg_match("/^.+@.+\\..+$/",$value))
			 {
			  $errors[]="$value is not a valid email address.";
			 }
		 }
		if(preg_match("/zip/i",$field))
		{
			if(!preg_match("/^[0-9]{5}(\-[0-9]{4})?$/",$value))
			{
				$errors[] = "$value is not a valid zip code.";
			}
		 }
		} // end if not empty
	
	foreach($_POST as $field => $value)
	{
		$$field = strip_tags(trim($value));
	}
	if(@is_array($errors))
	{
		$message_2 = "";
		foreach ($errors as $value)
		{
			$message_2 .= $value. "Please try again<br />";
			}
			include("login_form.inc");
			exit();
		} // end if errors are found
		
		/* check to see if username already exists */
		include("info.inc");
		$cxn = mysqli_connect($host,$user,$password,$database)
				or die ("Couldn't connect to server");
		$sql = "SELECT username FROM Members
					WHERE username= '$username'";
		$result = mysqli_query($cxn,$sql)
				or die ("Query died: username.");
		$num = mysqli_num_rows($result);
		if ($num > 0)
		{
			$message_2 = "$username already in use. Please select another User Name.";	
			include("login_form.inc");
			exit();
		}// end if username already exists
		else // Add new member to database
		{
			$sql = "INSERT INTO p26n3j4a_CFA (username, pass, fname, lname, company, street, city, state, zip, industry, openings, How_heard, company_effort, email)
					VALUES ('$username',md5('$pass'),'$fname','$lname','$company','$street','$city','$state','$zip','$industry','$openings','$How_heard', '$company_effort', '$email')";
			mysqli_query($cxn,$sql);
			$_SESSION['auth']="yes";
			$_SESSION['logname'] = $username;
			/* send email to new Member */
			$emess = "You have successfully registered. ";
			$emess .= "Your new user name and password are: ";
			$emess .= "\n\n\t$username\n\t";
			$emess .= "$pass\n\n";
			$subj = "Your New Member Registration";
		   	mail("$email", "$subj","$emess");
		}	
	break;
		}
	default:
		include("login_form.inc");
 }				
?>	